MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024594Community[OCCT] OCCT:Data Exchangepublic2014-02-04 04:512016-04-20 15:49
Reporterthomhong 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024594: Missing surfaces from STL output (second example)
DescriptionAfter importing the model from a STEP file, the STL export is missing several surfaces (the majority of the model is missing). This is the same problem described in 0024593, with a different source file.
Steps To Reproduce1. Open the attached STEP file (using the ImportExport sample project)
2. Select the body in the model
3. Export to STL
TagsNo tags attached.
Test case numberbugs mesh bug24594
Attached Files? file icon 284965.stp (511,738 bytes) 2014-02-04 04:51

- Relationships
has duplicate 0024593closedabv Missing surfaces from STL output 

-  Notes
(0030564)
thomhong (reporter)
2014-08-04 22:10

Based on feedback for 24593, this issue should probably be assigned to GKA too as the ImportExport sample shows the same behavior (STEP import issue).
(0050235)
git (administrator)
2016-01-29 14:16

Branch CR24594 has been created by oan.

SHA-1: c62e556c24ec4809fc60261bb9d6884ab6ff545a


Detailed log of new commits:

Author: oan
Date: Fri Jan 29 14:16:18 2016 +0300

    Added test case
(0050236)
oan (developer)
2016-01-29 14:16

Dear Bugmaster,

it seems that this case has became OK due to fixes for shape healing and mesh since 6.7.0.

Please verify. Test case has been added to branch CR24594.
(0051013)
git (administrator)
2016-02-19 13:36

Branch CR24594 has been updated by apn.

SHA-1: 58d2234eb0e7363f50357f6992458dee8d5e2554


Detailed log of new commits:

Author: apn
Date: Fri Feb 19 13:36:18 2016 +0300

    Small corrections of test case

(0051014)
git (administrator)
2016-02-19 13:40

Branch CR24594 has been updated forcibly by apn.

SHA-1: 5f18d95de3fcf24e6e77c40f99285356729416e7
(0051015)
apn (administrator)
2016-02-19 13:43

Test case:
bugs mesh bug24594 - OK
http://occt-tests/bug24594_Lin/bugs/mesh/bug24594.html [^]
http://occt-tests/bug24594_WNT/bugs/mesh/bug24594.html [^]
(0052798)
git (administrator)
2016-04-17 13:07

Branch CR24594 has been deleted by kgv.

SHA-1: 5f18d95de3fcf24e6e77c40f99285356729416e7

- Related Changesets
occt: master aff12369
Timestamp: 2016-02-19 12:10:18
Author: abv
Committer: abv
Details ] Diff ]
0024594: Missing surfaces from STL output (second example)

Added test case
Small corrections of test case
add - tests/bugs/mesh/bug24594 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-04 04:51 thomhong New Issue
2014-02-04 04:51 thomhong Assigned To => oan
2014-02-04 04:51 thomhong File Added: 284965.stp
2014-05-23 14:16 oan Relationship added has duplicate 0024593
2014-05-23 14:51 oan Assigned To oan => thomhong
2014-05-23 14:51 oan Status new => feedback
2014-07-14 13:42 oan Category OCCT:Mesh => OCCT:Data Exchange
2014-08-04 22:10 thomhong Note Added: 0030564
2014-09-11 19:00 abv Assigned To thomhong => gka
2014-09-11 19:00 abv Status feedback => assigned
2014-09-11 19:00 abv Target Version => 7.1.0
2016-01-29 14:16 git Note Added: 0050235
2016-01-29 14:16 oan Assigned To gka => bugmaster
2016-01-29 14:16 oan Note Added: 0050236
2016-01-29 16:14 oan Relationship added related to 0027122
2016-01-29 16:15 oan Relationship deleted related to 0027122
2016-02-01 12:14 oan Status assigned => feedback
2016-02-02 10:08 bugmaster Assigned To bugmaster => apn
2016-02-19 13:36 git Note Added: 0051013
2016-02-19 13:40 git Note Added: 0051014
2016-02-19 13:43 apn Note Added: 0051015
2016-02-19 13:43 apn Test case number => bugs mesh bug24594
2016-02-19 13:43 apn Assigned To apn => bugmaster
2016-02-19 13:43 apn Status feedback => tested
2016-02-19 14:43 abv Target Version 7.1.0 => 7.0.0
2016-02-21 08:52 abv Changeset attached => occt master aff12369
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052798
2016-04-20 15:43 user533 Fixed in Version => 7.0.0
2016-04-20 15:49 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker